Subject: bug#56171: Request for marking DEF entry when using completing-read

From: [email-masked]
Date: Fri, 24 Jun 2022 17:11:59 +0200 (CEST)

Jun 24, 2022, 09:40 by [email-masked]:

> [email-masked] writes:
>
>> It would be valuable to mark the default entry when users scroll
>> through the options defined for `completing-read` whenever a DEF is
>> supplied.
>>
>
> This is for `M-n', I guess?
>
> I'm not quite sure I see the use case here.  When do you want to have
> the default value specially marked when going through `M-n'?
>
It is a different thing than that.  I customarily using the `up' and `down' key
to move through the collection of entries.  Could there be some form of indicator
(e.g. highlight, underline, some other means) that will tell me that is was selected
as the default by the package designer?  Currently I see no distinction, with all 
entries in collection as just an entry like any other.